VERSION 5.00
Object = "{E4D5D928-FD35-4D0A-92CD-F3CE02D68455}#1.0#0"; "ahtmlle2.ocx"
Begin VB.UserControl HTMLBrowser 
   BackColor       =   &H80000005&
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   4005
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   5730
   ScaleHeight     =   4005
   ScaleWidth      =   5730
   Begin HTMLCtlsLE.HTMLLabel hlbBrowse 
      Height          =   90
      Left            =   315
      TabIndex        =   1
      Top             =   360
      Width           =   4020
      _ExtentX        =   7091
      _ExtentY        =   159
      AutoSize        =   -1  'True
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      BackColor       =   -2147483643
      ForeColor       =   -2147483640
      Margin          =   3
      Text            =   ""
   End
   Begin VB.VScrollBar vsbBrowse 
      Height          =   3120
      Left            =   5310
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   90
      Width           =   240
   End
End
Attribute VB_Name = "HTMLBrowser"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False

'----------------------------------'
'            Ariad HTMLBox Control '
'                      Version 1.0 '
'----------------------------------'
'       HTMLBrowser Sample Control '
'                      Version 1.0 '
'----------------------------------'
'Copyright  2001 by Ariad Software. All Rights Reserved.

'Created        : 29/07/2001
'Completed      :
'Last Updated   :


Option Explicit
'----------------------------------------------------------------------
'Name        : Font
'Created     : 14/07/1999 19:12
'Modified    :
'Modified By :
'----------------------------------------------------------------------
'Author      : Richard James Moss
'Organisation: Ariad Software
'----------------------------------------------------------------------
'Description : Returns or sets the primary font object
'----------------------------------------------------------------------
'Returns     : A font object containing the font
'----------------------------------------------------------------------
Public Property Get Font() As StdFont
    '##BD Returns or sets the default font used to display text in a control
    Set Font = hlbBrowse.Font
End Property

Public Property Set Font(ByVal Font As StdFont)
    Set hlbBrowse.Font = Font
    PropertyChanged "Font"
End Property

'##AUTHOR Richard James Moss
'##CREATION_DATE 29/07/2001 00:58
'##BLOCK_DESCRIPTION Loads a html document
'##UPDATE_NOTE
Public Sub Load(ByVal Filename As String)
Attribute Load.VB_Description = "Loads a html document"
    hlbBrowse.Load Filename
End Sub '(Public) Sub Load ()


Private Sub hlbBrowse_AfterRender()
    vsbBrowse.Max = hlbBrowse.Height - ScaleHeight
    vsbBrowse.LargeChange = ScaleHeight / 4
End Sub

Private Sub UserControl_AmbientChanged(PropertyName As String)
    If Ambient.UserMode = False Then
        hlbBrowse.Text = Ambient.DisplayName
    End If
End Sub

Private Sub UserControl_InitProperties()
    Set hlbBrowse.Font = Ambient.Font
    hlbBrowse.Text = Ambient.DisplayName
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    With PropBag
        Set hlbBrowse.Font = .ReadProperty("Font", Ambient.Font)
    End With
    hlbBrowse.Text = Ambient.DisplayName
End Sub


Private Sub UserControl_Resize()
    On Error Resume Next
        vsbBrowse.Move ScaleWidth - vsbBrowse.Width, 0, vsbBrowse.Width, ScaleHeight
        hlbBrowse.Move 0, 0, ScaleWidth - vsbBrowse.Width
        vsbBrowse_Change
    On Error GoTo 0
End Sub


Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    With PropBag
        .WriteProperty "Font", hlbBrowse.Font, Ambient.Font
    End With
End Sub


Private Sub vsbBrowse_Change()
    hlbBrowse.Top = -vsbBrowse.Value
End Sub


Private Sub vsbBrowse_Scroll()
    vsbBrowse_Change
End Sub


